GIT-SQUASH(1)

NAME
git-squash - Import changes from a branch

SYNOPSIS

DESCRIPTION
Produce the working tree and index state as if a real merge happened without the commit or merge marks.

OPTIONS
<source-branch>

Branch to squash on the current branch.

sha..HEAD will be squashed.

<--squash-msg>

Commit the squash result with the concatenated squashed committed messages. This option can not be used together with <commit-message>.

<commit-message>

If commit-message is given, commit the squash result.

EXAMPLES
$ git squash my-other-branch
Updating a2740f5..533b19c
Fast-forward
Squash commit -- not updating HEAD
 my-changed-file | 1 +
 1 file changed, 1 insertion(+)
$ git commit -m "New commit without a real merge"

$ git squash HEAD~3 "Commit message"
$ git squash --squash-msg @~3

AUTHOR
Written by Jesús Espino <jespinog@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>